Skip to main content
PATCH
/
oauth-clients
/
{oauth_client_id}
Update an OAuth client
curl --request PATCH \
  --url https://api.example.com/oauth-clients/{oauth_client_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "credentials": {
    "clientId": "<string>",
    "clientSecret": "<string>"
  }
}
'
{
  "id": "<string>",
  "entity": "oauth_client",
  "name": "<string>",
  "provider_id": "<string>",
  "version": 1,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "organization_id": "<string>",
  "credentials": {
    "iv": "<string>",
    "auth_tag": "<string>",
    "cipher_text": "<string>"
  }
}

Path Parameters

oauth_client_id
string
required

Body

application/json
name
string
credentials
object

Response

200 - application/json

The updated OAuth client

id
string
required
entity
string
default:oauth_client
required
name
string
required
provider_id
string
required
version
integer
default:1
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
organization_id
string
credentials
object